org.apache.sling.crankstart.extensions.sling

## Class CrankstartInventoryPrinter

- java.lang.Object
- - org.apache.sling.crankstart.extensions.sling.CrankstartInventoryPrinter

All Implemented Interfaces:
  org.apache.felix.inventory.InventoryPrinter

    @Service
    @Properties(value={@Property(name="felix.inventory.printer.name",value="crankstart"),@Property(name="felix.inventory.printer.title",value="Sling Crankstart Exporter"),@Property(name="felix.inventory.printer.format",value="TEXT")})
    public class CrankstartInventoryPrinter
    extends Object
    implements org.apache.felix.inventory.InventoryPrinter

### Field Summary

### Fields inherited from interface org.apache.felix.inventory.InventoryPrinter

`FORMAT, NAME, SERVICE, TITLE, WEBCONSOLE`

### Constructor Summary

Constructors
Constructor and Description
`CrankstartInventoryPrinter()`

### Method Summary

Methods
`void` `activate(org.osgi.service.component.ComponentContext ctx)`
`void` `print(PrintWriter out, org.apache.felix.inventory.Format fmt, boolean isZip)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CrankstartInventoryPrinter

    public CrankstartInventoryPrinter()

### Method Detail

#### activate

    @Activate
    public void activate(org.osgi.service.component.ComponentContext ctx)

#### print

    public void print(PrintWriter out,
             org.apache.felix.inventory.Format fmt,
             boolean isZip)

Specified by:
  `print` in interface `org.apache.felix.inventory.InventoryPrinter`